#!/bin/sh

OLD_APPSEL=$(cat /opt/Millipore/MiniCamPack/startMiniCam.sh | grep "APPSEL=")

if [ "${OLD_APPSEL}" == "export APPSEL=App1" ]; then
	if grep -Fxq "LIBFILE" /opt/Millipore/MiniCamPack/startMiniCam.sh; then
		echo "Not needed"
	else
		cat /tmp/update/startMiniCam.sh > /opt/Millipore/MiniCamPack/startMiniCam.sh
	fi

	cp /tmp/update/MiniCam_OnDevice /opt/Millipore/MiniCamPack/App2
	MD5ORIG=`md5sum /tmp/update/MiniCam_OnDevice | awk '{print $1}'`
    NEWMD5=`md5sum /opt/Millipore/MiniCamPack/App2 | awk '{print $1}'`
	if [ "${MD5ORIG}" == "${NEWMD5}" ]; then
		sed -i 's|APPSEL=App1|APPSEL=App2|g' /opt/Millipore/MiniCamPack/startMiniCam.sh
	else
		echo "FAIL"
		exit 1
	fi
elif [ "${OLD_APPSEL}" == "export APPSEL=App2" ]; then
	if grep -Fxq "LIBFILE" /opt/Millipore/MiniCamPack/startMiniCam.sh; then
		echo "Not needed"
	else
		cat /tmp/update/startMiniCam.sh > /opt/Millipore/MiniCamPack/startMiniCam.sh
		sed -i 's|APPSEL=App1|APPSEL=App2|g' /opt/Millipore/MiniCamPack/startMiniCam.sh
	fi

    cp /tmp/update/MiniCam_OnDevice /opt/Millipore/MiniCamPack/App1

    MD5ORIG=`md5sum /tmp/update/MiniCam_OnDevice) | awk '{print $1}'`
    NEWMD5=`md5sum /opt/Millipore/MiniCamPack/App1) | awk '{print $1}'`

    if [ "${MD5ORIG}" == "${NEWMD5}" ]; then
		sed -i 's|APPSEL=App2|APPSEL=App1|g' /opt/Millipore/MiniCamPack/startMiniCam.sh
	else
		echo "FAIL"
		exit 1
	fi
else
    cp /tmp/update/MiniCam_OnDevice /opt/Millipore/MiniCamPack/App1
    cp /tmp/update/MiniCam_OnDevice /opt/Millipore/MiniCamPack/App2
    cat /tmp/update/startMiniCam.sh > /opt/Millipore/MiniCamPack/startMiniCam.sh
fi
    cp /tmp/update/lib* /opt/Millipore/MiniCamPack
sync
sync

echo "DONE."
